# WOK
TKWOK
WOKernel

# WOKernel_HAsciiStringHasher Class Reference

`#include <WOKernel_HAsciiStringHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(TCollection_HAsciiString)&Key, const Standard_Integer Upper)
| Returns a HasCode value for the Key <k> in the range 0..Upper. Default ::HashCode(K,Upper) .
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(TCollection_HAsciiString)&K1, const Handle(TCollection_HAsciiString)&K2)
| Returns True when the two keys are the same. Two same keys must have the same hashcode, the contrary is not necessary. Default K1 == K2 .

## Member Function Documentation

static Standard_EXPORT Standard_Integer WOKernel_HAsciiStringHasher::HashCode | ( | const Handle(TCollection_HAsciiString)& | Key,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKernel_HAsciiStringHasher::IsEqual | ( | const Handle(TCollection_HAsciiString)& | K1,
|  | const Handle(TCollection_HAsciiString)& | K2
| ) | `[static]`

void WOKernel_HAsciiStringHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_HAsciiStringHasher::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_HAsciiStringHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKernel_HAsciiStringHasher.hxx